package com.skywang.ndk;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import android.util.Log;

public class NdkBasicParam extends Activity {
	private static final String TAG="sky--NdkBasicParam";
    
	private int ival;
	private float fval;
	private String str;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        Log.d(TAG, "onCreate");
        
        // 获取从jni传来的整数
        ival = intFromJni();
        Log.d(TAG, "ival="+ival);
        
        // 将整数传递到jni
        intToJni((int)123); 
 
        // 获取从jni传来的float
        fval = floatFromJni();
        Log.d(TAG, "fval="+fval);
        
        // 将float传递到jni
        floatToJni((float)456.78);

        // 获取从jni传来的string
        str = stringFromJni(); 
        Log.d(TAG, "str="+str);
        
        // 将string传递到jni
        stringToJni("Hello From Java");
    }
    
    // jni中注册的方法
    private native int intFromJni();
    private native void intToJni(int val);
    private native float floatFromJni();
    private native void floatToJni(float val);
    private native String stringFromJni();
    private native void stringToJni(String val);

    static {
    	// 加载本地libndk_load.so库文件
        System.loadLibrary("ndk_basic_param");
    }
}